Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002538Piwigootherpublic2011.12.18 22:342012.06.06 22:29
Reportermistic100 
Assigned Tomistic100 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.4.0beta1Fixed in Version2.4.0beta1 
Summary0002538: Make a unified messages management
DescriptionCurrently if a page needs to display it adds it to $page['infos'] or $page['errors'], assign it to the template...

But not all pages have the necessary vars and template part, what is a shame for pugins.

The idea is to add a unified messages system :
- all messages templates are moved a file infos_errors.tpl included in all main template files
- when we need to add a message we adds it to $page['infos'] or $page['errors'] (initiliazed in common.inc.php allowing to use array_push without any test) as before
- these array are assigned to the template in page_header.php
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0002761closedmistic100 Pass all kind of messages through session on admin 

-  Notes
(0005863)
mistic100 (developer)
2011.12.18 22:35

topic : http://piwigo.org/forum/viewtopic.php?id=18538 [^]
(0005864)
svn (reporter)
2011.12.18 22:46

[Subversion] r12764 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2538 Make a unified messages management
use only $page['infos'] and $page['errors'] vars and and necessary template to all main pages
(0005867)
svn (reporter)
2011.12.19 18:08

[Subversion] r12767 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2538 transmits messages after comment edition trough SESSION (no more ugly url displayed, avoid some minor bugs)
(0006338)
svn (reporter)
2012.06.06 22:29

[Subversion] r15578 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2538 little rework of messages system, now can be used on 'loc_end_index' and 'loc_end_picture'

- Issue History
Date Modified Username Field Change
2011.12.18 22:34 mistic100 New Issue
2011.12.18 22:34 mistic100 Status new => assigned
2011.12.18 22:34 mistic100 Assigned To => mistic100
2011.12.18 22:34 mistic100 browser => any
2011.12.18 22:34 mistic100 Web server => Apache 1.3.x
2011.12.18 22:35 mistic100 Note Added: 0005863
2011.12.18 22:46 svn Checkin
2011.12.18 22:46 svn Note Added: 0005864
2011.12.19 18:08 svn Checkin
2011.12.19 18:08 svn Note Added: 0005867
2012.01.02 23:22 plg Status assigned => closed
2012.01.02 23:22 plg Resolution open => fixed
2012.01.02 23:22 plg Fixed in Version => 2.4.0beta1
2012.06.06 22:29 svn Checkin
2012.06.06 22:29 svn Note Added: 0006338
2012.10.04 18:01 mistic100 Relationship added related to 0002761


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker